package cn.iocoder.yudao.module.member.vo.member;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.DIR;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 用户 Response VO
* @author Marcus
*/
@Data
@ApiModel("管理后台 - 用户 Response VO")
public class MemberBackVO {

    @ExcelProperty("编号")
    @ApiModelProperty(value = "编号", required = true)
    private Long id;

    @ExcelProperty("用户昵称")
    @ApiModelProperty(value = "用户昵称", required = true)
    private String nickname;

    @ExcelProperty("头像")
    @ApiModelProperty(value = "头像", required = true)
    private String avatar;

    @ExcelProperty("状态")
    @ApiModelProperty(value = "状态", required = true)
    private Integer status;

    @ExcelProperty("手机号")
    @ApiModelProperty(value = "手机号", required = true)
    private String mobile;

    @ExcelProperty("密码")
    @ApiModelProperty(value = "密码", required = true)
    private String password;

    @ExcelProperty("注册 IP")
    @ApiModelProperty(value = "注册 IP", required = true)
    private String registerIp;

    @ExcelProperty("最后登录IP")
    @ApiModelProperty(value = "最后登录IP")
    private String loginIp;

    @ExcelProperty("最后登录时间")
    //lanbm 2024-05-15 修改显示BUG
    //@DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "最后登录时间")
    private Date loginDate;

    @ExcelProperty("保函")
    @ApiModelProperty(value = "保函")
    private String backLetterImg;

    @ExcelProperty("创建时间")
    //lanbm 2024-05-15 修改显示BUG
    //@DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ExcelProperty("区号")
    @ApiModelProperty(value = "区号", required = true)
    private String areaCode;

    @ExcelProperty("英文名称")
    @ApiModelProperty(value = "英文名称", required = true)
    private String englishName;

    @ExcelProperty("生日")
    @DateTimeFormat(pattern = DIR)
    @ApiModelProperty(value = "生日")
    private Date birthday;

    @ExcelProperty("部门")
    @ApiModelProperty(value = "部门")
    private String department;

    @ExcelProperty("性别：0 女 1 男 2 保密")
    @ApiModelProperty(value = "性别：0 女 1 男 2 保密")
    private Integer gender;

    @ExcelProperty("工作职位")
    @ApiModelProperty(value = "工作职位")
    private String jobPosition;

    @ExcelProperty("地址")
    @ApiModelProperty(value = "地址")
    private String address;

}
